Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.conf
Class WorkItemHandlerOption

    java.lang.Object
      org.kie.api.runtime.conf.WorkItemHandlerOption

All Implemented Interfaces:
  Serializable, Option, KieSessionOption, MultiValueKieSessionOption

    public class WorkItemHandlerOption

extends Object
implements MultiValueKieSessionOption

WorkItemHandlers configuration option

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The prefix for the property name for work item handlers

Method Summary
`boolean` | `equals(Object obj)`
`static WorkItemHandlerOption` | `get(String name, WorkItemHandler handler)` This is a factory method for this WorkItemHandler configuration.
`WorkItemHandler` | `getHandler()` Returns the work item handler instance
`String` | `getName()` Returns the name of the configured work item handler
`String` | `getPropertyName()` Returns the property name for this option
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The prefix for the property name for work item handlers

  See Also:
    Constant Field Values

Method Detail

### get

    public static WorkItemHandlerOption get(String name,
                                            WorkItemHandler handler)

  This is a factory method for this WorkItemHandler configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `name` - the name of the work item handler to be configured
  Returns:
    the actual type safe work item handler configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getName

    public String getName()

  Returns the name of the configured work item handler

  Returns:

### getHandler

    public WorkItemHandler getHandler()

  Returns the work item handler instance

  Returns:

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.